Index: pom.xml
===================================================================
--- pom.xml	(revision 4343)
+++ pom.xml	(revision 4344)
@@ -4,7 +4,7 @@
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.vectorediting</artifactId>
   <packaging>pom</packaging>
-  <version>1.0.263</version>
+  <version>1.0.264-SNAPSHOT</version>
   <name>${project.artifactId}</name>
   <description>Vectorediting project</description>
   <parent>
@@ -14,9 +14,9 @@
   </parent>
   <url>https://devel.gvsig.org/sites/org.gvsig.vectorediting/${project.version}</url>
   <scm>
-    <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-vectorediting/org.gvsig.vectorediting/tags/org.gvsig.vectorediting-1.0.263</connection>
-    <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-vectorediting/org.gvsig.vectorediting/tags/org.gvsig.vectorediting-1.0.263</developerConnection>
-    <url>https://devel.gvsig.org/redmine/projects/gvsig-vector-editing/repository/show/org.gvsig.vectorediting/tags/org.gvsig.vectorediting-1.0.263</url>
+    <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-vectorediting/org.gvsig.vectorediting/trunk/${project.artifactId}</connection>
+    <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-vectorediting/org.gvsig.vectorediting/trunk/${project.artifactId}</developerConnection>
+    <url>https://devel.gvsig.org/redmine/projects/gvsig-vector-editing/repository/show/org.gvsig.vectorediting/trunk/${project.artifactId}</url>
   </scm>
   <repositories>
     <repository>
@@ -67,54 +67,54 @@
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.vectorediting.lib.api</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.lib.impl
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.vectorediting.lib.spi</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.swing.api
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.swing.impl
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.lib.prov.point
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.lib.prov.circlecr
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.lib.prov.polyline
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
@@ -128,182 +128,182 @@
         <artifactId>
 					org.gvsig.vectorediting.lib.prov.internalpolygon
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
                     org.gvsig.vectorediting.lib.prov.line
                 </artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
                     org.gvsig.vectorediting.lib.prov.arc
                 </artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.app.mainplugin
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.lib.prov.ellipse
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.lib.prov.regularpolygon
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.lib.prov.rectangle
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.lib.prov.spline
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.lib.prov.circle3p
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.lib.prov.explode
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.lib.prov.move
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.lib.prov.rotate
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.lib.prov.duplicate
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.lib.prov.splitline
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.lib.prov.scale
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.lib.prov.simplify
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.lib.prov.multipoint
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
                     org.gvsig.vectorediting.lib.prov.autopolygon
                 </artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.lib.prov.join
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
                     org.gvsig.vectorediting.lib.prov.stretch
                 </artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
       		        org.gvsig.vectorediting.lib.prov.extendline
       	        </artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.lib.prov.split
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
           			org.gvsig.vectorediting.lib.prov.smoothline
         		</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.lib.prov.trimline
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.lib.prov.rectangularmatrix
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
 					org.gvsig.vectorediting.lib.prov.polarmatrix
 				</artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
 
       <dependency>
@@ -311,34 +311,34 @@
         <artifactId>
           org.gvsig.vectorediting.lib.prov.editvertex
         </artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>
           org.gvsig.vectorediting.lib.prov.remove
         </artifactId>
-        <version>1.0.263</version>
+        <version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
       	<groupId>org.gvsig</groupId>
       	<artifactId>org.gvsig.vectorediting.lib.prov.converttopolyline</artifactId>
-      	<version>1.0.263</version>
+      	<version>1.0.264-SNAPSHOT</version>
       </dependency>
       <dependency>
 			<groupId>org.gvsig</groupId>
 			<artifactId>org.gvsig.vectorediting.lib.prov.reversedirection</artifactId>
-			<version>1.0.263</version>
+			<version>1.0.264-SNAPSHOT</version>
 		</dependency>
       <dependency>
 			<groupId>org.gvsig</groupId>
 			<artifactId>org.gvsig.vectorediting.lib.prov.align</artifactId>
-			<version>1.0.263</version>
+			<version>1.0.264-SNAPSHOT</version>
 		</dependency>
                 <dependency>
                     <groupId>org.gvsig</groupId>
                     <artifactId>org.gvsig.vectorediting.lib.prov.chamfer</artifactId>
-                    <version>1.0.263</version>
+                    <version>1.0.264-SNAPSHOT</version>
                 </dependency>
                 <dependency>
                     <groupId>org.gvsig</groupId>