Index: org.gvsig.raster.wms/trunk/org.gvsig.raster.wms/org.gvsig.raster.wms.remoteclient/src/main/java/org/gvsig/remoteclient/wms/wms_1_3_0/WMSProtocolHandler1_3_0.java
===================================================================
--- org.gvsig.raster.wms/trunk/org.gvsig.raster.wms/org.gvsig.raster.wms.remoteclient/src/main/java/org/gvsig/remoteclient/wms/wms_1_3_0/WMSProtocolHandler1_3_0.java	(revision 7270)
+++ org.gvsig.raster.wms/trunk/org.gvsig.raster.wms/org.gvsig.raster.wms.remoteclient/src/main/java/org/gvsig/remoteclient/wms/wms_1_3_0/WMSProtocolHandler1_3_0.java	(revision 7271)
@@ -61,21 +61,21 @@
  * </p>
  */
 public class WMSProtocolHandler1_3_0 extends org.gvsig.remoteclient.wms.WMSProtocolHandler {
-    
+
         private static final Logger logger = LoggerFactory.getLogger(WMSProtocolHandler1_3_0.class);
 	private WMSLayer1_3_0 fakeRootLayer;
-    
+
 	public WMSProtocolHandler1_3_0()
 	{
 		this.version = "1.3.0";
 		this.name = "WMS1.3.0";
-		this.serviceInfo = new WMSServiceInformation(); 
-		this.layers = new TreeMap();		   
+		this.serviceInfo = new WMSServiceInformation();
+		this.layers = new TreeMap();
 	}
-    
+
 //------------------------------------------------------------------------------
-// Parsing methods....    
-//------------------------------------------------------------------------------    
+// Parsing methods....
+//------------------------------------------------------------------------------
 
 	@Override
 	public void getCapabilities(WMSStatus status, boolean override,
@@ -89,7 +89,7 @@
 			processLayer(rootLayer);
 		}
 	}
-	
+
 	/**
 	 * WMSLayer parser gets no information about the user preferences regarding
 	 * axis order, so the bboxes should be should be post-processed here,
@@ -98,30 +98,34 @@
 	 * @param layer
 	 */
 	protected void processLayer(WMSLayer layer) {
-		if (layer.getBboxes()!=null) {
-			Collection<BoundaryBox> col = (Collection<BoundaryBox>) layer.getBboxes().values();
-			for (BoundaryBox bbox: col) {
-				if (!CrsAxisOrder.isXyAxisOrder(bbox.getSrs())) {
-					bbox.setXmin(bbox.getYmin());
-					bbox.setYmin(bbox.getXmin());
-					bbox.setXmax(bbox.getYmax());
-					bbox.setYmax(bbox.getXmax());
-				}
-			}
-		}
-		ArrayList children = layer.getChildren();
-		if (children!=null) {
-			for (int i=0; i<children.size(); i++) {
-				WMSLayer child = (WMSLayer) children.get(i);
-				processLayer(child);
-			}
-		}
-	}
-	
+        if (layer.getBboxes()!=null) {
+            Collection<BoundaryBox> col = (Collection<BoundaryBox>) layer.getBboxes().values();
+            for (BoundaryBox bbox: col) {
+                if (!CrsAxisOrder.isXyAxisOrder(bbox.getSrs())) {
+                    double auxX = bbox.getXmin();
+                    double auxY = bbox.getYmin();
+                    bbox.setXmin(auxY);
+                    bbox.setYmin(auxX);
+                    auxX = bbox.getXmax();
+                    auxY = bbox.getYmax();
+                    bbox.setXmax(auxY);
+                    bbox.setYmax(auxX);
+                }
+            }
+        }
+        ArrayList children = layer.getChildren();
+        if (children!=null) {
+            for (int i=0; i<children.size(); i++) {
+                WMSLayer child = (WMSLayer) children.get(i);
+                processLayer(child);
+            }
+        }
+    }
+
     public boolean parseCapabilities(File f)
-    {   
+    {
     	rootLayer = null;
-    	
+
     	int tag;
       	EncodingXMLParser kxmlParser = null;
     	kxmlParser = new EncodingXMLParser();
@@ -129,74 +133,74 @@
     	{
     	   	kxmlParser.setInput(f);
 			kxmlParser.nextTag();
-    		if ( kxmlParser.getEventType() != KXmlParser.END_DOCUMENT ) 
-    		{    		
-    			kxmlParser.require(KXmlParser.START_TAG, null, CapabilitiesTags.CAPABILITIES_ROOT1_3_0);    			
+    		if ( kxmlParser.getEventType() != KXmlParser.END_DOCUMENT )
+    		{
+    			kxmlParser.require(KXmlParser.START_TAG, null, CapabilitiesTags.CAPABILITIES_ROOT1_3_0);
     			tag = kxmlParser.nextTag();
 				 while(tag != KXmlParser.END_DOCUMENT)
 				 {
                      switch(tag)
-					 {                       
+					 {
 						case KXmlParser.START_TAG:
 							if (kxmlParser.getName().compareTo(CapabilitiesTags.SERVICE )==0)
 							{
 								parseServiceTag(kxmlParser);
-							}	
+							}
 							else if (kxmlParser.getName().compareTo(CapabilitiesTags.CAPABILITY)==0)
 							{
 								parseCapabilityTag(kxmlParser);
 							}
 							break;
-						case KXmlParser.END_TAG:							
+						case KXmlParser.END_TAG:
 							break;
 						case KXmlParser.TEXT:
-							//System.out.println("[TEXT]["+kxmlParser.getText()+"]");							
+							//System.out.println("[TEXT]["+kxmlParser.getText()+"]");
 						break;
 					 }
     				 tag = kxmlParser.next();
     			 }//while !END_DOCUMENT
     		}
     	}
-    	catch(XmlPullParserException parser_ex){    		
+    	catch(XmlPullParserException parser_ex){
                 logger.warn("Error parsing capabilites.",parser_ex);
     		return false;
     	}
-   		catch (IOException ioe) {			
+   		catch (IOException ioe) {
                         logger.warn("Error parsing capabilites.",ioe);
    			return false;
  		} finally {
             return true;
         }
-   		// In the parsing process the layer has been filled  		
-    } 
-    
+   		// In the parsing process the layer has been filled
+    }
+
     /**
      * <p>Parses the Service Information </p>
-     */    
-    private void parseServiceTag(KXmlParser parser) throws IOException, XmlPullParserException 
+     */
+    private void parseServiceTag(KXmlParser parser) throws IOException, XmlPullParserException
     {
     	int currentTag;
     	boolean end = false;
-    	
+
     	parser.require(KXmlParser.START_TAG, null, CapabilitiesTags.SERVICE);
     	currentTag = parser.next();
-    	
-    	while (!end) 
+
+    	while (!end)
     	{
 			 switch(currentTag)
 			 {
 				case KXmlParser.START_TAG:
 					if (parser.getName().compareTo(CapabilitiesTags.NAME)==0)
 					{
-						serviceInfo.name = parser.nextText(); 
-					}	
+						serviceInfo.name = parser.nextText();
+					}
 					else if (parser.getName().compareTo(CapabilitiesTags.TITLE)==0)
 					{
-						serviceInfo.title = parser.nextText(); 
+						serviceInfo.title = parser.nextText();
 					}
 					else if (parser.getName().compareTo(CapabilitiesTags.ABSTRACT)==0)
 					{
-						serviceInfo.abstr = parser.nextText(); 
+						serviceInfo.abstr = parser.nextText();
 					}
 					else if (parser.getName().compareTo(CapabilitiesTags.ONLINERESOURCE)==0)
 					{
@@ -205,18 +209,18 @@
 				        if (value != null){
 				        	serviceInfo.online_resource = value;
 				        }
-					}					
+					}
 					else if ((parser.getName().compareTo(CapabilitiesTags.KEYWORDLIST)==0) ||
 							(parser.getName().compareTo(CapabilitiesTags.CONTACTINFORMATION)==0))
 					{
 						parser.skipSubTree();
-					}					
+					}
 					break;
 				case KXmlParser.END_TAG:
 					if (parser.getName().compareTo(CapabilitiesTags.SERVICE) == 0)
 						end = true;
 					break;
-				case KXmlParser.TEXT:					
+				case KXmlParser.TEXT:
 				break;
 			 }
              if (!end)
@@ -224,27 +228,27 @@
     	}
     	parser.require(KXmlParser.END_TAG, null, CapabilitiesTags.SERVICE);
     }
-    
+
     /**
      * <p>Parses the Capability Tag </p>
-     */    
+     */
     private void parseCapabilityTag(KXmlParser parser) throws IOException, XmlPullParserException
-    { 	
+    {
     	int currentTag;
     	boolean end = false;
-    	
+
     	parser.require(KXmlParser.START_TAG, null, CapabilitiesTags.CAPABILITY);
     	currentTag = parser.next();
-    	
-    	while (!end) 
+
+    	while (!end)
     	{
 			 switch(currentTag)
 			 {
 				case KXmlParser.START_TAG:
 					if (parser.getName().compareTo(CapabilitiesTags.REQUEST)==0)
 					{
-						parseRequestTag(parser); 
-					}	
+						parseRequestTag(parser);
+					}
 					else if (parser.getName().compareTo(CapabilitiesTags.EXCEPTION)==0)
 					{
 						//TODO:
@@ -266,29 +270,29 @@
                             rootLayer.getChildren().add(lyr);
                         }
 						lyr.parse(parser, layers);
-						
+
                         if (lyr.getName()!=null)
-						    layers.put(lyr.getName(), lyr); 											
+						    layers.put(lyr.getName(), lyr);
 					}
 					else if ((parser.getName().compareTo(CapabilitiesTags.VENDORSPECIFICCAPABILITIES)==0) ||
-							(parser.getName().compareTo(CapabilitiesTags.USERDEFINEDSYMBOLIZATION )==0))                            
+							(parser.getName().compareTo(CapabilitiesTags.USERDEFINEDSYMBOLIZATION )==0))
 					{
 						parser.skipSubTree();
-					}					
+					}
 					break;
 				case KXmlParser.END_TAG:
 					if (parser.getName().compareTo(CapabilitiesTags.CAPABILITY) == 0)
 						end = true;
 					break;
-				case KXmlParser.TEXT:					
+				case KXmlParser.TEXT:
 				break;
 			 }
 			 if (!end)
 				 currentTag = parser.next();
     	}
-    	//parser.require(KXmlParser.END_TAG, null, CapabilitiesTags.CAPABILITY);    	
-    }  
-    
+    	//parser.require(KXmlParser.END_TAG, null, CapabilitiesTags.CAPABILITY);
+    }
+
     private WMSLayer1_3_0 getFakeRootLayer(){
         if (fakeRootLayer == null){
             fakeRootLayer = new WMSLayer1_3_0();
@@ -306,12 +310,12 @@
         KXmlParser kxmlParser = new KXmlParser();
         try
         {
-            kxmlParser.setInput(new ByteArrayInputStream(data), encoding);        
+            kxmlParser.setInput(new ByteArrayInputStream(data), encoding);
             kxmlParser.nextTag();
             int tag;
-            if ( kxmlParser.getEventType() != KXmlParser.END_DOCUMENT ) 
-            { 
-                kxmlParser.require(KXmlParser.START_TAG, null, ExceptionTags.EXCEPTION_ROOT);             
+            if ( kxmlParser.getEventType() != KXmlParser.END_DOCUMENT )
+            {
+                kxmlParser.require(KXmlParser.START_TAG, null, ExceptionTags.EXCEPTION_ROOT);
                 tag = kxmlParser.nextTag();
                  while(tag != KXmlParser.END_DOCUMENT)
                  {
@@ -325,9 +329,9 @@
                                 errors.add(errorCode+errorMessage);
                             }
                             break;
-                        case KXmlParser.END_TAG:                            
+                        case KXmlParser.END_TAG:
                             break;
-                        
+
                      }
                      tag = kxmlParser.nextTag();
                  }
@@ -337,16 +341,16 @@
         catch(XmlPullParserException parser_ex){
             logger.warn("",parser_ex);
         }
-        catch (IOException ioe) {           
-            logger.warn("",ioe);        
+        catch (IOException ioe) {
+            logger.warn("",ioe);
         }
         String message = errors.size()>0? "" : null;
         for (int i = 0; i < errors.size(); i++) {
             message += (String) errors.get(i)+"\n";
         }
         return message;
-    }   
-    
+    }
+
     /*
      * (non-Javadoc)
      * @see org.gvsig.remoteClient.wms.WMSProtocolHandler#createGetFeatureInfoRequest(org.gvsig.remoteClient.wms.WMSStatus, int, int)
@@ -372,11 +376,11 @@
 			WMSStatus status, String layerName) {
 		return new WMSGetLegendGraphicRequest1_1_3(status, this, layerName);
 	}
-	
 
+
 	/* (non-Javadoc)
 	 * @see org.gvsig.remoteclient.wms.WMSProtocolHandler#createGetCapabilitiesRequest(org.gvsig.remoteclient.wms.WMSStatus)
-	 */	
+	 */
 	protected WMSGetCapabilitiesRequest createGetCapabilitiesRequest(
 			WMSStatus status) {
 		return new WMSGetCapabilitiesRequest1_3_0(status, this);
Index: org.gvsig.raster.wms/trunk/org.gvsig.raster.wms/pom.xml
===================================================================
--- org.gvsig.raster.wms/trunk/org.gvsig.raster.wms/pom.xml	(revision 7270)
+++ org.gvsig.raster.wms/trunk/org.gvsig.raster.wms/pom.xml	(revision 7271)
@@ -11,7 +11,7 @@
 	<parent>
       <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.desktop</artifactId>
-      <version>2.0.189</version>
+      <version>2.0.191</version>
   </parent>
 
         <properties>
Index: org.gvsig.raster.wms/trunk/org.gvsig.raster.wms/org.gvsig.raster.wms.app.wmsclient/src/main/java/org/gvsig/raster/wms/app/wmsclient/infobypoint/MainInfoByPointDialog.java
===================================================================
--- org.gvsig.raster.wms/trunk/org.gvsig.raster.wms/org.gvsig.raster.wms.app.wmsclient/src/main/java/org/gvsig/raster/wms/app/wmsclient/infobypoint/MainInfoByPointDialog.java	(revision 7270)
+++ org.gvsig.raster.wms/trunk/org.gvsig.raster.wms/org.gvsig.raster.wms.app.wmsclient/src/main/java/org/gvsig/raster/wms/app/wmsclient/infobypoint/MainInfoByPointDialog.java	(revision 7271)
@@ -2,22 +2,22 @@
 *
 * Copyright (C) 2007-2008 Infrastructures and Transports Department
 * of the Valencian Government (CIT)
-* 
+*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
-* 
+*
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
-* 
+*
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
-* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
+* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
-* 
+*
 */
 package org.gvsig.raster.wms.app.wmsclient.infobypoint;
 
@@ -69,18 +69,18 @@
 	private JScrollPane                     scroll             = null;
 	private JPanel                          wmsInfo            = null;
 	private JEditorPane                     jeditor            = null;
-	private XMLViewer                       dlgXML             = null; 
+	private XMLViewer                       dlgXML             = null;
 	private XMLItem                         item               = null;
 	private XMLContent                      xmlContent         = null;
-	
+
 	public class StringXMLItem extends TextXMLContent implements XMLItem {
 		FLayer layer;
-		
+
 		public StringXMLItem(String text, FLayer lyr) {
 			super(text);
 			this.layer = lyr;
 		}
-		
+
 		public FLayer getLayer(){
 			return this.layer;
 		}
@@ -141,15 +141,15 @@
 			}
 		}
 	}
-	
+
 	public MainInfoByPointDialog() {
 		setLayout(new BorderLayout());
 		add((Component)getMainPanel(), BorderLayout.WEST);
 		add((Component)getWMSInfoPanel(), BorderLayout.CENTER);
 	}
-	
+
 	public MainInfoByPointPanel getMainPanel() {
-		if(mainPanel == null) { 
+		if(mainPanel == null) {
 			HashMap<String, String> translations = new HashMap<String, String>();
 			translations.put("info", PluginServices.getText(this, "info"));
 			translations.put("view", PluginServices.getText(this, "view"));
@@ -188,7 +188,7 @@
 		}
 		return wmsInfo;
 	}
-	
+
 	private JPanel getWMSXMLInfoPanel(String text) throws SAXException {
 		if(wmsInfo == null) {
 			wmsInfo = new JPanel();
@@ -218,7 +218,7 @@
 			TreePath path = new TreePath(treeModel.getPathToRoot(n));
 			dlgXML.getXmlTree().expandPath(path);
 			//dlgXML.getXmlTree().setSelectionPath(path);
-			
+
 			wmsInfo.add(scroll, BorderLayout.CENTER);
 		}
 		return wmsInfo;
@@ -234,10 +234,10 @@
 			}
 			HTMLEditorKit kit = new HTMLEditorKit();
 			jeditor.setEditorKit(kit);
-			
+
 			text = removeLabelBlock(text, "style");
 			text = removeLabelBlock(text, "meta");
-			
+
 			StyleSheet s = kit.getStyleSheet();
 			s.addRule("body {font-family:verdana; margin: 15px; }");
 			s.addRule("caption {background-color:#FBFFE1;font-style:normal;color:black}");
@@ -261,9 +261,17 @@
 			} catch (SAXException e) {
 				LoggerFactory.getLogger(MainInfoByPointDialog.class).debug("", e);
 			}
+		} else { //if(type.equals("text/plain")) {
+            if(jeditor == null) {
+                wmsInfo = null;
+                dlgXML = null;
+                remove(1);
+                add((Component)getWMSInfoPanel(), BorderLayout.CENTER);
+            }
+            jeditor.setText(text);
 		}
 	}
-	
+
 	/**
 	 * Removes a label from the text
 	 * @param text
@@ -278,7 +286,7 @@
 		}
 		return text;
 	}
-	
+
 	public WindowInfo getWindowInfo() {
 		WindowInfo m_viewinfo = new WindowInfo(WindowInfo.MODELESSDIALOG | WindowInfo.RESIZABLE);
 		m_viewinfo.setTitle(PluginServices.getText(this, "WMS InfoByPoint"));
@@ -286,11 +294,11 @@
 		m_viewinfo.setWidth(700);
 		return m_viewinfo;
 	}
-	
+
 	public void windowClosed() {
 		CompoundBehavior.setAllControlsBehavior(InfoByWMSPointExtension.oldBehavior);
 	}
-	
+
 	public Object getWindowProfile() {
 		return WindowInfo.PROPERTIES_PROFILE;
 	}
@@ -298,7 +306,7 @@
 	public InfoByPointDataModel getInfoByPointDataModel() {
 		return getMainPanel().getInfoByPointDataModel();
 	}
-	
+
 	public PixelInspector getPixelInspector() {
 		return getMainPanel().getPixelInspectorPanel();
 	}
Index: org.gvsig.raster.wms/trunk/org.gvsig.raster.wms/org.gvsig.raster.wms.app.wmsclient/src/main/java/org/gvsig/raster/wms/app/wmsclient/infobypoint/viewtool/InfoByPixelPointViewTool.java
===================================================================
--- org.gvsig.raster.wms/trunk/org.gvsig.raster.wms/org.gvsig.raster.wms.app.wmsclient/src/main/java/org/gvsig/raster/wms/app/wmsclient/infobypoint/viewtool/InfoByPixelPointViewTool.java	(revision 7270)
+++ org.gvsig.raster.wms/trunk/org.gvsig.raster.wms/org.gvsig.raster.wms.app.wmsclient/src/main/java/org/gvsig/raster/wms/app/wmsclient/infobypoint/viewtool/InfoByPixelPointViewTool.java	(revision 7271)
@@ -2,22 +2,22 @@
 *
 * Copyright (C) 2007-2008 Infrastructures and Transports Department
 * of the Valencian Government (CIT)
-* 
+*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
-* 
+*
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
-* 
+*
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
-* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
+* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
-* 
+*
 */
 package org.gvsig.raster.wms.app.wmsclient.infobypoint.viewtool;
 
@@ -51,7 +51,7 @@
 /**
  * Extensión de la clase SelectImageListenerImple de FMap. Esta clase permite
  * capturar el evento de la selección de un punto RGB sobre la vista
- * 
+ *
  * 22/02/2008
  * @author Nacho Brodin (nachobrodin@gmail.com)
  */
@@ -63,23 +63,23 @@
 	private FLayers                  layers              = null;
 	private List<String>             list                = null;
 	private MainInfoByPointDialog    dialog              = null;
-	
+
 	/**
 	 * Reference to the <code>MapControl</code> object that uses.
 	 */
 	protected MapControl mapCtrl;
 
 	/**
-	 * World equivalent coordinates of the point 2D 
+	 * World equivalent coordinates of the point 2D
 	 */
 	protected Point2D wcPoint = null;
-	
+
 	/**
 	 * Contructor
 	 * @param mapCtrl
 	 */
 	public InfoByPixelPointViewTool(
-			MapControl mapCtrl, 
+			MapControl mapCtrl,
 			InfoByPointDataModel model,
 			MainInfoByPointDialog dialog) {
 		this.mapCtrl = mapCtrl;
@@ -100,24 +100,24 @@
 		int r = (value >> 16) & 0xff;
 		int g = (value >> 8) & 0xff;
 		int b = value & 0xff;
-		
+
 		double[] cmyk = conv.RGBtoCMYK(r & 0xff, g & 0xff, b & 0xff, 1D);
-		
+
 		double[] hsl = conv.RGBtoHSL(r & 0xff, g & 0xff, b & 0xff);
 		hsl[0] = (int)(255.0 * hsl[0] / 360.0 + 0.5);
 		hsl[2] = (int) (hsl[2] * 255. + 0.5);
 		hsl[1] = (int) (hsl[1] * 255. + 0.5);
-		
+
 		Point2D mapPoint = viewPort.toMapPoint(point2D);
-		
+
 		model.setARGB(r, g, b);
 		model.setCMYK(cmyk);
 		model.setHSL(hsl[0], hsl[1], hsl[2]);
 		model.setViewPoint(point2D.getX(), point2D.getY());
 		model.setWorldPoint(mapPoint.getX(), mapPoint.getY());
-		
+
 		//Raster dependent
-		
+
 		list.clear();
 		FLyrWMS selected = null;
 		for (int i = layers.getLayersCount() - 1; i >= 0; i--) {
@@ -131,12 +131,35 @@
 				}
 			}
 		}
-		
+
 		if(selected != null) {
 			Point2D rasterPoint = selected.getDataStore().worldToRaster(mapPoint);
 			model.setNumberOfBands(selected.getDataStore().getBandCount());
 			model.setBandValues(getBandValues(selected.getDataStore(), rasterPoint));
 			model.setPixelPoint(rasterPoint.getX(), rasterPoint.getY());
+
+			Point p = new Point();
+			p.setLocation(point2D.getX(), point2D.getY());
+			try {
+			    DynObjectSetWMSInfo dos = (DynObjectSetWMSInfo)selected.getInfo(p, 0D, null, true);
+			    String txt = dos.getInfoElement();
+			    if(dos.getTypeInfo().compareTo("text/plain") == 0)
+			        dialog.setWMSInfoText(txt, dos.getTypeInfo());
+			    else if(dos.getTypeInfo().compareTo("text/html") == 0) {
+			        int beginIndex = txt.indexOf("<html");
+			        if(beginIndex > 0)
+			            txt = txt.substring(beginIndex, txt.length());
+			        dialog.setWMSInfoText(txt, "text/html");
+			    } else if(dos.getTypeInfo().endsWith("vnd.ogc.gml") || dos.getTypeInfo().compareTo("text/xml") == 0) {
+			        dialog.setWMSInfoText(txt, "text/xml");
+			    }else
+			        dialog.setWMSInfoText(txt, "text/html");
+
+			} catch (LoadLayerException e) {
+			    e.printStackTrace();
+			} catch (DataException e) {
+			    e.printStackTrace();
+			}
 		} else {
 			list.clear();
 			list.add("...");
@@ -145,32 +168,10 @@
 			model.setPixelPoint(-1, -1);
 		}
 		model.setLayerList(list);
-		
-		Point p = new Point();
-		p.setLocation(point2D.getX(), point2D.getY());
-		try {
-			DynObjectSetWMSInfo dos = (DynObjectSetWMSInfo)selected.getInfo(p, 0D, null, true);
-			String txt = dos.getInfoElement();
-			if(dos.getTypeInfo().compareTo("text/plain") == 0)
-				dialog.setWMSInfoText(txt, dos.getTypeInfo());
-			else if(dos.getTypeInfo().compareTo("text/html") == 0) {
-				int beginIndex = txt.indexOf("<html");
-				if(beginIndex > 0)
-					txt = txt.substring(beginIndex, txt.length());
-				dialog.setWMSInfoText(txt, "text/html");
-			} else if(dos.getTypeInfo().endsWith("vnd.ogc.gml") || dos.getTypeInfo().compareTo("text/xml") == 0) {
-				dialog.setWMSInfoText(txt, "text/xml");
-			}else
-				dialog.setWMSInfoText(txt, "text/html");
-				
-		} catch (LoadLayerException e) {
-			e.printStackTrace();
-		} catch (DataException e) {
-			e.printStackTrace();
-		}
+
 		model.notifyObservers();
 	}
-	
+
 	/**
 	 * Loads the values of a pixel point
 	 * @param dataStore
@@ -209,7 +210,7 @@
 			for (int i = 0; i < dataStore.getBandCount(); i++) {
 				res[i] = Double.NaN;
 			}
-		} 
+		}
 		return res;
 	}
 