Index: org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap/org.gvsig.raster.tasseledcap.toolbox.algorithm/pom.xml
===================================================================
--- org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap/org.gvsig.raster.tasseledcap.toolbox.algorithm/pom.xml	(revision 8021)
+++ org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap/org.gvsig.raster.tasseledcap.toolbox.algorithm/pom.xml	(revision 8022)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.tasseledcap</artifactId>
-		<version>2.2.62</version>
+		<version>2.2.63-SNAPSHOT</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap/pom.xml
===================================================================
--- org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap/pom.xml	(revision 8021)
+++ org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap/pom.xml	(revision 8022)
@@ -3,7 +3,7 @@
 	<modelVersion>4.0.0</modelVersion>
 	<artifactId>org.gvsig.raster.tasseledcap</artifactId>
 	<packaging>pom</packaging>
-	<version>2.2.62</version>
+	<version>2.2.63-SNAPSHOT</version>
 	<name>${project.artifactId}</name>
 	<description />
 	<inceptionYear>2011</inceptionYear>
@@ -39,9 +39,9 @@
     </repositories>
 
     <scm>
-        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.tasseledcap/tags/org.gvsig.raster.tasseledcap-2.2.62</connection>
-        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.tasseledcap/tags/org.gvsig.raster.tasseledcap-2.2.62</developerConnection>
-        <url>https://devel.gvsig.org/redmine/projects/gvsig-raster/repository/show/org.gvsig.raster.tasseledcap/tags/org.gvsig.raster.tasseledcap-2.2.62</url>
+        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap</connection>
+        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap</developerConnection>
+        <url>https://devel.gvsig.org/redmine/projects/gvsig-raster/repository/show/org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap</url>
     </scm>
     <build>
         <plugins>
@@ -94,22 +94,22 @@
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.raster.tasseledcap.swing.api</artifactId>
-				<version>2.2.62</version>
+				<version>2.2.63-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.raster.tasseledcap.swing.impl</artifactId>
-				<version>2.2.62</version>
+				<version>2.2.63-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.raster.tasseledcap.algorithm</artifactId>
-				<version>2.2.62</version>
+				<version>2.2.63-SNAPSHOT</version>
 			</dependency>
    			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.raster.tasseledcap.toolbox.algorithm</artifactId>
-				<version>2.2.62</version>
+				<version>2.2.63-SNAPSHOT</version>
 			</dependency>
 
 		</dependencies>
Index: org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap/org.gvsig.raster.tasseledcap.algorithm/pom.xml
===================================================================
--- org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap/org.gvsig.raster.tasseledcap.algorithm/pom.xml	(revision 8021)
+++ org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap/org.gvsig.raster.tasseledcap.algorithm/pom.xml	(revision 8022)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.tasseledcap</artifactId>
-		<version>2.2.62</version>
+		<version>2.2.63-SNAPSHOT</version>
 	</parent>
     <dependencies>
 		<dependency>
Index: org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap/org.gvsig.raster.tasseledcap.app.tasseledcapclient/pom.xml
===================================================================
--- org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap/org.gvsig.raster.tasseledcap.app.tasseledcapclient/pom.xml	(revision 8021)
+++ org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap/org.gvsig.raster.tasseledcap.app.tasseledcapclient/pom.xml	(revision 8022)
@@ -9,7 +9,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.tasseledcap</artifactId>
-		<version>2.2.62</version>
+		<version>2.2.63-SNAPSHOT</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap/org.gvsig.raster.tasseledcap.swing/org.gvsig.raster.tasseledcap.swing.impl/pom.xml
===================================================================
--- org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap/org.gvsig.raster.tasseledcap.swing/org.gvsig.raster.tasseledcap.swing.impl/pom.xml	(revision 8021)
+++ org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap/org.gvsig.raster.tasseledcap.swing/org.gvsig.raster.tasseledcap.swing.impl/pom.xml	(revision 8022)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.tasseledcap.swing</artifactId>
-		<version>2.2.62</version>
+		<version>2.2.63-SNAPSHOT</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap/org.gvsig.raster.tasseledcap.swing/org.gvsig.raster.tasseledcap.swing.api/pom.xml
===================================================================
--- org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap/org.gvsig.raster.tasseledcap.swing/org.gvsig.raster.tasseledcap.swing.api/pom.xml	(revision 8021)
+++ org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap/org.gvsig.raster.tasseledcap.swing/org.gvsig.raster.tasseledcap.swing.api/pom.xml	(revision 8022)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.tasseledcap.swing</artifactId>
-		<version>2.2.62</version>
+		<version>2.2.63-SNAPSHOT</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap/org.gvsig.raster.tasseledcap.swing/pom.xml
===================================================================
--- org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap/org.gvsig.raster.tasseledcap.swing/pom.xml	(revision 8021)
+++ org.gvsig.raster.tasseledcap/trunk/org.gvsig.raster.tasseledcap/org.gvsig.raster.tasseledcap.swing/pom.xml	(revision 8022)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.tasseledcap</artifactId>
-		<version>2.2.62</version>
+		<version>2.2.63-SNAPSHOT</version>
 	</parent>
 	<dependencies>
 		<dependency>