Index: org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents/pom.xml
===================================================================
--- org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents/pom.xml	(revision 9412)
+++ org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents/pom.xml	(revision 9413)
@@ -3,7 +3,7 @@
 	<modelVersion>4.0.0</modelVersion>
 	<artifactId>org.gvsig.raster.principalcomponents</artifactId>
 	<packaging>pom</packaging>
-	<version>2.2.77</version>
+	<version>2.2.78-SNAPSHOT</version>
 	<name>${project.artifactId}</name>
 	<description />
 	<inceptionYear>2011</inceptionYear>
@@ -39,9 +39,9 @@
     </repositories>
 
     <scm>
-        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.principalcomponents/tags/org.gvsig.raster.principalcomponents-2.2.77</connection>
-        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.principalcomponents/tags/org.gvsig.raster.principalcomponents-2.2.77</developerConnection>
-        <url>https://devel.gvsig.org/redmine/projects/gvsig-raster/repository/show/org.gvsig.raster.principalcomponents/tags/org.gvsig.raster.principalcomponents-2.2.77</url>
+        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents</connection>
+        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents</developerConnection>
+        <url>https://devel.gvsig.org/redmine/projects/gvsig-raster/repository/show/org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents</url>
     </scm>
     <build>
         <plugins>
@@ -89,22 +89,22 @@
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.raster.principalcomponents.swing.api</artifactId>
-				<version>2.2.77</version>
+				<version>2.2.78-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.raster.principalcomponents.swing.impl</artifactId>
-				<version>2.2.77</version>
+				<version>2.2.78-SNAPSHOT</version>
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.raster.principalcomponents.algorithm</artifactId>
-				<version>2.2.77</version>
+				<version>2.2.78-SNAPSHOT</version>
 			</dependency>
  			<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.raster.principalcomponents.toolbox.algorithm</artifactId>
-				<version>2.2.77</version>
+				<version>2.2.78-SNAPSHOT</version>
 			</dependency>
 
 		</dependencies>
Index: org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents/org.gvsig.raster.principalcomponents.app.principalcomponentsclient/pom.xml
===================================================================
--- org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents/org.gvsig.raster.principalcomponents.app.principalcomponentsclient/pom.xml	(revision 9412)
+++ org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents/org.gvsig.raster.principalcomponents.app.principalcomponentsclient/pom.xml	(revision 9413)
@@ -9,7 +9,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.principalcomponents</artifactId>
-		<version>2.2.77</version>
+		<version>2.2.78-SNAPSHOT</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents/org.gvsig.raster.principalcomponents.algorithm/pom.xml
===================================================================
--- org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents/org.gvsig.raster.principalcomponents.algorithm/pom.xml	(revision 9412)
+++ org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents/org.gvsig.raster.principalcomponents.algorithm/pom.xml	(revision 9413)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.principalcomponents</artifactId>
-		<version>2.2.77</version>
+		<version>2.2.78-SNAPSHOT</version>
 	</parent>
     <dependencies>
 		<dependency>
Index: org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents/org.gvsig.raster.principalcomponents.swing/org.gvsig.raster.principalcomponents.swing.api/pom.xml
===================================================================
--- org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents/org.gvsig.raster.principalcomponents.swing/org.gvsig.raster.principalcomponents.swing.api/pom.xml	(revision 9412)
+++ org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents/org.gvsig.raster.principalcomponents.swing/org.gvsig.raster.principalcomponents.swing.api/pom.xml	(revision 9413)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.principalcomponents.swing</artifactId>
-		<version>2.2.77</version>
+		<version>2.2.78-SNAPSHOT</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents/org.gvsig.raster.principalcomponents.swing/pom.xml
===================================================================
--- org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents/org.gvsig.raster.principalcomponents.swing/pom.xml	(revision 9412)
+++ org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents/org.gvsig.raster.principalcomponents.swing/pom.xml	(revision 9413)
@@ -8,7 +8,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.principalcomponents</artifactId>
-		<version>2.2.77</version>
+		<version>2.2.78-SNAPSHOT</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents/org.gvsig.raster.principalcomponents.swing/org.gvsig.raster.principalcomponents.swing.impl/pom.xml
===================================================================
--- org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents/org.gvsig.raster.principalcomponents.swing/org.gvsig.raster.principalcomponents.swing.impl/pom.xml	(revision 9412)
+++ org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents/org.gvsig.raster.principalcomponents.swing/org.gvsig.raster.principalcomponents.swing.impl/pom.xml	(revision 9413)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.principalcomponents.swing</artifactId>
-		<version>2.2.77</version>
+		<version>2.2.78-SNAPSHOT</version>
 	</parent>
 	<dependencies>
 		<dependency>
Index: org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents/org.gvsig.raster.principalcomponents.toolbox.algorithm/pom.xml
===================================================================
--- org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents/org.gvsig.raster.principalcomponents.toolbox.algorithm/pom.xml	(revision 9412)
+++ org.gvsig.raster.principalcomponents/trunk/org.gvsig.raster.principalcomponents/org.gvsig.raster.principalcomponents.toolbox.algorithm/pom.xml	(revision 9413)
@@ -8,7 +8,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.raster.principalcomponents</artifactId>
-        <version>2.2.77</version>
+        <version>2.2.78-SNAPSHOT</version>
     </parent>
     <dependencies>
         <dependency>