Index: org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.app/org.gvsig.report.app.mainplugin/pom.xml
===================================================================
--- org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.app/org.gvsig.report.app.mainplugin/pom.xml	(revision 9492)
+++ org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.app/org.gvsig.report.app.mainplugin/pom.xml	(revision 9493)
@@ -3,7 +3,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.report.app</artifactId>
-        <version>1.0.176</version>
+        <version>1.0.177-SNAPSHOT</version>
     </parent>
     <artifactId>org.gvsig.report.app.mainplugin</artifactId>
     <name>${project.artifactId}</name>
Index: org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.app/pom.xml
===================================================================
--- org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.app/pom.xml	(revision 9492)
+++ org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.app/pom.xml	(revision 9493)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.report</artifactId>
-    <version>1.0.176</version>
+    <version>1.0.177-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.report.app</artifactId>
   <packaging>pom</packaging>
Index: org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.lib/pom.xml
===================================================================
--- org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.lib/pom.xml	(revision 9492)
+++ org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.lib/pom.xml	(revision 9493)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.report</artifactId>
-    <version>1.0.176</version>
+    <version>1.0.177-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.report.lib</artifactId>
   <packaging>pom</packaging>
Index: org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.lib/org.gvsig.report.lib.api/pom.xml
===================================================================
--- org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.lib/org.gvsig.report.lib.api/pom.xml	(revision 9492)
+++ org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.lib/org.gvsig.report.lib.api/pom.xml	(revision 9493)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.report.lib</artifactId>
-    <version>1.0.176</version>
+    <version>1.0.177-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.report.lib.api</artifactId>
   <name>${project.artifactId}</name>
Index: org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.lib/org.gvsig.report.lib.impl/pom.xml
===================================================================
--- org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.lib/org.gvsig.report.lib.impl/pom.xml	(revision 9492)
+++ org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.lib/org.gvsig.report.lib.impl/pom.xml	(revision 9493)
@@ -3,7 +3,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.report.lib</artifactId>
-        <version>1.0.176</version>
+        <version>1.0.177-SNAPSHOT</version>
     </parent>
     <artifactId>org.gvsig.report.lib.impl</artifactId>
     <name>${project.artifactId}</name>
Index: org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.swing/pom.xml
===================================================================
--- org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.swing/pom.xml	(revision 9492)
+++ org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.swing/pom.xml	(revision 9493)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.report</artifactId>
-    <version>1.0.176</version>
+    <version>1.0.177-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.report.swing</artifactId>
   <packaging>pom</packaging>
Index: org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.swing/org.gvsig.report.swing.api/pom.xml
===================================================================
--- org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.swing/org.gvsig.report.swing.api/pom.xml	(revision 9492)
+++ org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.swing/org.gvsig.report.swing.api/pom.xml	(revision 9493)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.report.swing</artifactId>
-    <version>1.0.176</version>
+    <version>1.0.177-SNAPSHOT</version>
   </parent>
   <artifactId>org.gvsig.report.swing.api</artifactId>
   <name>${project.artifactId}</name>
Index: org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.swing/org.gvsig.report.swing.impl/pom.xml
===================================================================
--- org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.swing/org.gvsig.report.swing.impl/pom.xml	(revision 9492)
+++ org.gvsig.report/trunk/org.gvsig.report/org.gvsig.report.swing/org.gvsig.report.swing.impl/pom.xml	(revision 9493)
@@ -3,7 +3,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.report.swing</artifactId>
-        <version>1.0.176</version>
+        <version>1.0.177-SNAPSHOT</version>
     </parent>
     <artifactId>org.gvsig.report.swing.impl</artifactId>
     <name>${project.artifactId}</name>
Index: org.gvsig.report/trunk/org.gvsig.report/pom.xml
===================================================================
--- org.gvsig.report/trunk/org.gvsig.report/pom.xml	(revision 9492)
+++ org.gvsig.report/trunk/org.gvsig.report/pom.xml	(revision 9493)
@@ -6,7 +6,7 @@
         <version>2.0.445</version>
     </parent>
     <artifactId>org.gvsig.report</artifactId>
-    <version>1.0.176</version>
+    <version>1.0.177-SNAPSHOT</version>
     <packaging>pom</packaging>
     <name>${project.artifactId}</name>
     <properties>
@@ -38,9 +38,9 @@
         </site>
     </distributionManagement>
     <scm>
-        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-projects-pool/org.gvsig.report/tags/org.gvsig.report-1.0.176</connection>
-        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-projects-pool/org.gvsig.report/tags/org.gvsig.report-1.0.176</developerConnection>
-        <url>https://redmine.gvsig.net/redmine/projects/gvsig-projects-pool/repository/show/org.gvsig.report/tags/org.gvsig.report-1.0.176</url>
+        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-projects-pool/${project.artifactId}/trunk/${project.artifactId}</connection>
+        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-projects-pool/${project.artifactId}/trunk/${project.artifactId}</developerConnection>
+        <url>https://redmine.gvsig.net/redmine/projects/gvsig-projects-pool/repository/show/${project.artifactId}/trunk/${project.artifactId}</url>
     </scm>
 
     <build>
@@ -62,27 +62,27 @@
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.report.app.mainplugin</artifactId>
-                <version>1.0.176</version>
+                <version>1.0.177-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.report.lib.api</artifactId>
-                <version>1.0.176</version>
+                <version>1.0.177-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.report.lib.impl</artifactId>
-                <version>1.0.176</version>
+                <version>1.0.177-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.report.swing.api</artifactId>
-                <version>1.0.176</version>
+                <version>1.0.177-SNAPSHOT</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.report.swing.impl</artifactId>
-                <version>1.0.176</version>
+                <version>1.0.177-SNAPSHOT</version>
             </dependency>
       
             <dependency>