Index: org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.app/pom.xml
===================================================================
--- org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.app/pom.xml	(revision 9502)
+++ org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.app/pom.xml	(revision 9503)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.pdf</artifactId>
-    <version>1.0.152-SNAPSHOT</version>
+    <version>1.0.152</version>
   </parent>
   <artifactId>org.gvsig.pdf.app</artifactId>
   <packaging>pom</packaging>
Index: org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.app/org.gvsig.pdf.app.mainplugin/pom.xml
===================================================================
--- org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.app/org.gvsig.pdf.app.mainplugin/pom.xml	(revision 9502)
+++ org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.app/org.gvsig.pdf.app.mainplugin/pom.xml	(revision 9503)
@@ -3,7 +3,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.pdf.app</artifactId>
-        <version>1.0.152-SNAPSHOT</version>
+        <version>1.0.152</version>
     </parent>
     <artifactId>org.gvsig.pdf.app.mainplugin</artifactId>
     <name>${project.artifactId}</name>
Index: org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.lib/org.gvsig.pdf.lib.impl/pom.xml
===================================================================
--- org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.lib/org.gvsig.pdf.lib.impl/pom.xml	(revision 9502)
+++ org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.lib/org.gvsig.pdf.lib.impl/pom.xml	(revision 9503)
@@ -3,7 +3,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.pdf.lib</artifactId>
-        <version>1.0.152-SNAPSHOT</version>
+        <version>1.0.152</version>
     </parent>
     <artifactId>org.gvsig.pdf.lib.impl</artifactId>
     <name>${project.artifactId}</name>
Index: org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.lib/org.gvsig.pdf.lib.api/pom.xml
===================================================================
--- org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.lib/org.gvsig.pdf.lib.api/pom.xml	(revision 9502)
+++ org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.lib/org.gvsig.pdf.lib.api/pom.xml	(revision 9503)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.pdf.lib</artifactId>
-    <version>1.0.152-SNAPSHOT</version>
+    <version>1.0.152</version>
   </parent>
   <artifactId>org.gvsig.pdf.lib.api</artifactId>
   <name>${project.artifactId}</name>
Index: org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.lib/pom.xml
===================================================================
--- org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.lib/pom.xml	(revision 9502)
+++ org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.lib/pom.xml	(revision 9503)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.pdf</artifactId>
-    <version>1.0.152-SNAPSHOT</version>
+    <version>1.0.152</version>
   </parent>
   <artifactId>org.gvsig.pdf.lib</artifactId>
   <packaging>pom</packaging>
Index: org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.swing/org.gvsig.pdf.swing.impl/pom.xml
===================================================================
--- org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.swing/org.gvsig.pdf.swing.impl/pom.xml	(revision 9502)
+++ org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.swing/org.gvsig.pdf.swing.impl/pom.xml	(revision 9503)
@@ -3,7 +3,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.pdf.swing</artifactId>
-        <version>1.0.152-SNAPSHOT</version>
+        <version>1.0.152</version>
     </parent>
     <artifactId>org.gvsig.pdf.swing.impl</artifactId>
     <name>${project.artifactId}</name>
Index: org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.swing/pom.xml
===================================================================
--- org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.swing/pom.xml	(revision 9502)
+++ org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.swing/pom.xml	(revision 9503)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.pdf</artifactId>
-    <version>1.0.152-SNAPSHOT</version>
+    <version>1.0.152</version>
   </parent>
   <artifactId>org.gvsig.pdf.swing</artifactId>
   <packaging>pom</packaging>
Index: org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.swing/org.gvsig.pdf.swing.api/pom.xml
===================================================================
--- org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.swing/org.gvsig.pdf.swing.api/pom.xml	(revision 9502)
+++ org.gvsig.pdf/trunk/org.gvsig.pdf/org.gvsig.pdf.swing/org.gvsig.pdf.swing.api/pom.xml	(revision 9503)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.pdf.swing</artifactId>
-    <version>1.0.152-SNAPSHOT</version>
+    <version>1.0.152</version>
   </parent>
   <artifactId>org.gvsig.pdf.swing.api</artifactId>
   <name>${project.artifactId}</name>
Index: org.gvsig.pdf/trunk/org.gvsig.pdf/pom.xml
===================================================================
--- org.gvsig.pdf/trunk/org.gvsig.pdf/pom.xml	(revision 9502)
+++ org.gvsig.pdf/trunk/org.gvsig.pdf/pom.xml	(revision 9503)
@@ -7,7 +7,7 @@
         <version>2.0.445</version>
     </parent>
     <artifactId>org.gvsig.pdf</artifactId>
-    <version>1.0.152-SNAPSHOT</version>
+    <version>1.0.152</version>
     <packaging>pom</packaging>
     <name>${project.artifactId}</name>
 
@@ -21,9 +21,9 @@
     </distributionManagement>
   
     <scm>
-        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-projects-pool/${project.artifactId}/trunk/${project.artifactId}</connection>
-        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-projects-pool/${project.artifactId}/trunk/${project.artifactId}</developerConnection>
-        <url>https://devel.gvsig.org/svn/gvsig-projects-pool/${project.artifactId}/trunk/${project.artifactId}</url>
+        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-projects-pool/org.gvsig.pdf/tags/org.gvsig.pdf-1.0.152</connection>
+        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-projects-pool/org.gvsig.pdf/tags/org.gvsig.pdf-1.0.152</developerConnection>
+        <url>https://devel.gvsig.org/svn/gvsig-projects-pool/org.gvsig.pdf/tags/org.gvsig.pdf-1.0.152</url>
     </scm>
 
     <developers>
@@ -83,27 +83,27 @@
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.pdf.app.mainplugin</artifactId>
-                <version>1.0.152-SNAPSHOT</version>
+                <version>1.0.152</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.pdf.lib.api</artifactId>
-                <version>1.0.152-SNAPSHOT</version>
+                <version>1.0.152</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.pdf.lib.impl</artifactId>
-                <version>1.0.152-SNAPSHOT</version>
+                <version>1.0.152</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.pdf.swing.api</artifactId>
-                <version>1.0.152-SNAPSHOT</version>
+                <version>1.0.152</version>
             </dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
                 <artifactId>org.gvsig.pdf.swing.impl</artifactId>
-                <version>1.0.152-SNAPSHOT</version>
+                <version>1.0.152</version>
             </dependency>
             <dependency>
                 <groupId>org.icepdf.os</groupId>